#include<iostream.h>

void inizia();
void giocaPartita();
int generaNumero();
void indovina(int numero);
int schermoTentativo(int tentativi);
void schermoIndovinato(int tentativi);
void schermoInterruzione(int numero, int tentativi);

void main() {
    inizia();
    giocaPartita();
}

void inizia() {
    int seme = time(NULL);
    srand(seme);
    return;
}

void giocaPartita() {
    int numero;
    numero = generaNumero();
    indovina(numero);
    return;
}

int generaNumero() {
    int numero = rand() % 100 + 1;
    return numero;
}

void indovina(int numero) {
    int numeroTentativi = 0;
    int tentativo;
    bool continua = true;
    bool indovinato = false;
    while (continua) {
        tentativo = schermoTentativo(numeroTentativi);
        if (tentativo == 0) {
            continua = false;
        } else {
            numeroTentativi++;
            if (tentativo == numero) {
                continua = false;
                indovinato = true;
            } else if (tentativo < numero) {
                cout << "Prova con un numero piu' alto" << endl;
            } else if (tentativo > numero) {
                cout << "Prova con un numero piu' basso" << endl;
            }
        }
    }
    if (indovinato) {
        schermoIndovinato(numeroTentativi);
    } else {
        schermoInterruzione(numero, numeroTentativi);
    }
    return;
}

int schermoTentativo(int numeroTentativi) {
    int tentativo;
    cout << endl;
    cout << "Hai utilizzato " << numeroTentativi << " tentativi" << endl;
    cout << "Immetti il tentativo :";
    cin >> tentativo;
    while ((tentativo < 0) || (tentativo > 100)) {
        cout << "*** Errore: valore scorretto";
        cout << "Immetti il tentativo :";
        cin >> tentativo;
    }
    return tentativo;
}

void schermoIndovinato(int tentativi) {
    cout << "Bravo, hai indovinato in " << tentativi << " tentativi" << endl;
    return;
}

void schermoInterruzione(int numero, int tentativi) {
    cout << "Peccato, il numero era: " << numero << endl;
    cout << "Hai utilizzato " << tentativi << " tentativi" << endl;
    return;
}
