#include <iostream.h>
#include <fstream.h>
#include "paginaWeb1.h"

void caricaPagina (paginaWeb &pagina, string nomeFile) {
    string tmp;
    string riferimento;
    ifstream filePagina (nomeFile.c_str());
    filePagina >> tmp; // Titolo:
    getline(filePagina, pagina.titolo);
    getline(filePagina, tmp); // Collegamenti:\n
    pagina.collegamenti.indicatore = 0;
    while ((filePagina >> riferimento) && (pagina.collegamenti.indicatore <= N)) {
        int indicatore = pagina.collegamenti.indicatore;
        pagina.collegamenti.link[indicatore].nomeFile = riferimento;
        filePagina >> tmp; // -
        getline(filePagina, pagina.collegamenti.link[indicatore].ancora);
        pagina.collegamenti.indicatore++;
    }
    filePagina.close();
    return;
}

void stampaPagina (paginaWeb pagina) {
    cout << "\n";
    cout << "***********************************************************\n";
    cout << "  Titolo: " << pagina.titolo << "\n";
    cout << "-----------------------------------------------------------\n";
    if (pagina.collegamenti.indicatore == 0) {
        cout << "  Non ci sono collegamenti disponibili \n";
    } else {
        for (int i = 0; i < pagina.collegamenti.indicatore; i++) {
            cout << "  " << i << ". \t" << pagina.collegamenti.link[i].ancora << "\n";
        }
    }
    cout << "***********************************************************\n";
    return;
}

int numeroLink (paginaWeb pagina) {
    return pagina.collegamenti.indicatore;
}


string indirizzoIesimo (paginaWeb pagina, int i) {
    return pagina.collegamenti.link[i].nomeFile;
}