#include <stdio.h>
#define N 3

typedef struct {
    char squadraCasa[20];
    char squadraTrasferta[20];
    int goalCasa, goalTrasferta;
    char segno;
} partita;

void leggiPartita(partita* p);
void stampaPartita(partita p);
void leggiPartite(partita partite[N]);
void stampaPartite(partita partite[N]);
void calcolaSegni(partita partite[N]);

void main() {
    partita partite[N];

    leggiPartite(partite);
    calcolaSegni(partite);
    stampaPartite(partite);
}

void leggiPartite(partita partite[N]){
    int i;
    for (i = 0; i < N; i++) {
        leggiPartita(&partite[i]);
    }
    return;
}

void leggiPartita(partita* p){
    printf("\nImmetti i dati della partita\n");
    printf("Squadra in casa          : ");
    scanf("%s", &((*p).squadraCasa)); // oppure &(p->squadraCasa)
    printf("Squadra in trasferta     : ");
    scanf("%s", &(p->squadraTrasferta));
    printf("Goal squadra in casa     : ");
    scanf("%d", &p->goalCasa);
    printf("Goal squadra in trasferta: ");
    scanf("%d", &p->goalTrasferta);
    return;
}

void calcolaSegni(partita partite[N]){
    int i;
    for (i = 0; i < N; i++) {
        if (partite[i].goalCasa > partite[i].goalTrasferta) {
            partite[i].segno='1';
        } else if (partite[i].goalCasa < partite[i].goalTrasferta) {
            partite[i].segno='2';
        } else {
            partite[i].segno='X';
        }
    }
    return;
}

void stampaPartite(partita partite[N]){
    int i;
    printf("\nRisultati della Giornata\n");
    printf("----------------------------------\n");
    for (i = 0; i < N; i++) {
        stampaPartita(partite[i]);
    }
    return;
}

void stampaPartita(partita p){
    printf("%s-%s\t", p.squadraCasa ,p.squadraTrasferta);
    printf("%d-%d\t%c\n", p.goalCasa, p.goalTrasferta, p.segno);
    return;
}
