#include <iostream.h>

const int MAXDIM = 100;

struct partita {
    string squadraCasa, squadraTrasferta;
    int goalCasa, goalTrasferta;
    char segno;
};

struct listaPartite {
    int indicatore;
    partita partite[MAXDIM];
};


void leggiPartita(partita &p);
void leggiIndicatore (int &indicatore);
void stampaPartita(partita p);
void leggiPartite(listaPartite &l);
void stampaPartite(listaPartite l);
void calcolaSegni(listaPartite &l);

void main() {
    listaPartite l;

    leggiPartite(l);
    calcolaSegni(l);
    stampaPartite(l);
}

void leggiPartite(listaPartite &l){
    int i;
    leggiIndicatore(l.indicatore);
    for (i = 0; i < l.indicatore; i++) {
        leggiPartita(l.partite[i]);
    }
    return;
}

void leggiIndicatore (int &indicatore) {
    cout << "Quante partite ? ";
    cin >> indicatore;
    while (indicatore < 0 || indicatore > MAXDIM) {
        cout << "ERRORE. Valore scorretto" << endl;
        cout << "Immetti il valore corretto: ";
        cin >> indicatore;
    }
    cin.ignore();
    return;
}

void leggiPartita(partita &p){
    cout << "\nImmetti i dati della partita\n";
    cout << "Squadra in casa          : ";
    getline(cin, p.squadraCasa);
    cout << "Squadra in trasferta     : ";
    getline(cin, p.squadraTrasferta);
    cout << "Goal squadra in casa     : ";
    cin >> p.goalCasa;
    cout << "Goal squadra in trasferta: ";
    cin >> p.goalTrasferta;
    cin.ignore();
    return;
}

void calcolaSegni(listaPartite &l){
    int i;
    for (i = 0; i < l.indicatore; i++) {
        if (l.partite[i].goalCasa > l.partite[i].goalTrasferta) {
            l.partite[i].segno='1';
        } else if (l.partite[i].goalCasa < l.partite[i].goalTrasferta) {
            l.partite[i].segno='2';
        } else {
            l.partite[i].segno='X';
        }
    }
    return;
}

void stampaPartite(listaPartite l){
    int i;
    cout << "\nRisultati della Giornata\n";
    cout << "----------------------------------\n";
    for (i = 0; i < l.indicatore; i++) {
        stampaPartita(l.partite[i]);
    }
    return;
}

void stampaPartita(partita p){
    cout << p.squadraCasa << "-" << p.squadraTrasferta << " \t";
    cout << p.goalCasa << "-" << p.goalTrasferta << "  \t" << p.segno << endl;
    return;
}
