#include <iostream.h>
#include "pilaDiStringhe1.h"

/*
  pilaDiReali1.cpp
  ------------------
  libreria per la gestione di pile di stringhe rappresentate
  con array e indicatore di riempimento

  Nota: la libreria e' stata scritta esclusivamente a scopo didattico
  http://www.difa.unibas.it/users/gmecca/corsi/informatica
*/

//---------------------------

void inizializza(pila &p) {
    p.indicatore = 0;
    return;
}

bool vuota(pila p) {
    return (p.indicatore == 0);
}

void push (pila &p, string elem, bool& esito) {
  if (p.indicatore == MAXDIM) {
      esito = false;
  } else {
      p.valori[p.indicatore] = elem;
      p.indicatore++;
      esito = true;
  }
  return;
}

void pop (pila &p, bool& esito) {
  if (p.indicatore == 0) {
      esito = false;
  } else {
      p.indicatore--;
      esito = true;
  }
  return;
}

string top (pila p) {
    return (p.valori[p.indicatore - 1]);
}

