#include <iostream.h>

const int N = 12;

// ATTENZIONE: manca la &
void leggi(float temperature[N]);
void stampa(float temperature[N]);
float calcolaMedia(float temperature[N]);
int contaNegativi(float temperature[N]);
int posizioneMax(float arrayDati[N]);
int posizioneMin(float arrayDati[N]);
void stampaRisultato(float temperature[N], float media, int negative,
                                           int posMax, int posMin);

void main() {
    float temperature[N];
    int posMax, posMin, negative;
    float media;
    leggi(temperature);
    stampa(temperature);
    media = calcolaMedia(temperature);
    negative = contaNegativi(temperature);
    posMax = posizioneMax(temperature);
    posMin = posizioneMin(temperature);
    stampaRisultato(temperature, media, negative, posMax, posMin);
}

void leggi(float temperature[N]){
    int i;
    cout << "Immetti le temperature medie mensili \n";
    for (i = 0; i < N; i++) {
        cout << "Mese n. " << i+1 << ": ";
        cin >> temperature[i];
    }
    return;
}

void stampa(float temperature[N]){
    int i;
    cout << "Temperature Medie" << endl;
    cout << "-----------------------------" << endl;
    for (i = 0; i < N; i++) {
        cout << "Mese n. " << i+1 << ":\t" << temperature[i] << endl;
    }
    return;
}

float calcolaMedia(float arrayDati[N]){
    float somma, media;
    int i;
    somma = 0;
    for (i = 0; i < N; i++) {
        somma += arrayDati[i];
    }
    media = somma / N;
    return media;
}

int contaNegativi(float arrayDati[N]){
    int conta;
    int i;
    conta = 0;
    for (i = 0; i < N; i++) {
        if(arrayDati[i] < 0) {
            conta++;
        }
    }
    return conta;
}

int posizioneMax(float arrayDati[N]){
    int pos;
    int i;
    pos=0;
    for (i = 1; i < N; i++) {
        if (arrayDati[i] > arrayDati[pos]) {
            pos = i;
        }
    }
    return pos;
}

int posizioneMin(float arrayDati[N]){
    int pos;
    int i;
    pos=0;
    for (i=1; i<N; i++) {
        if (arrayDati[i]<arrayDati[pos]) {
            pos = i;
        }
    }
    return pos;
}

void stampaRisultato(float temperature[N], float media, int negative,
                                           int posMax, int posMin){
    cout << "\n------------------------------\n";
    cout << "Mesi con media negativa: " << negative << endl;
    cout << "Temperatura media annuale: " << media << endl;
    cout << "Temperatura massima: " << temperature[posMax] << endl;
    cout << "Rilevata nel mese n. " << posMax+1 << endl;
    cout << "Temperatura minima: " << temperature[posMin] << endl;
    cout << "Rilevata nel mese n. " << posMin+1 << endl;
    cout << "\n------------------------------\n";
    return;
}