#include <iostream.h>
#include "equazioni4Lib.h"

void leggiDatiEquazione (equazione &eq) {
    cout << "Inserisci i coefficienti dell'equazione \n";
    cin >> eq.a;
    cin >> eq.b;
    cin >> eq.c;
    return;
}

void stampaDatiEquazione (equazione eq) {
    cout << "------------ Equazione --------------\n";
    cout << eq.a << "x2+" << eq.b <<"x+" << eq.c << "=0 \n";
    cout << "-------------------------------------\n";
    return;
}

void stampaRadici (radiciReali rr) {
    cout << "------------  Radici  --------------\n";
    cout << "Radici: x=" << rr.x << ", y=" << rr.y << endl;
    cout << "-------------------------------------\n";
    return;
}

float discriminante (equazione eq) {
    float d;
    d = eq.b * eq.b - 4 * eq.a * eq.c;
    return d;
}

radiciReali calcolaRadiciReali (equazione eq) {
    radiciReali rr;
    rr.x = (-eq.b + sqrt(discriminante(eq))) / (2 * eq.a);
    rr.y = (-eq.b - sqrt(discriminante(eq))) / (2 * eq.a);
    return rr;
}

