C  Programma per la gestione di una lista di temperature
C
C  Il programma utilizza la libreria di
C  sottoprogrammi "listaDiReali1.for"
C
C  Viene presentato all'utente un menu per effettuare 
C  operazioni su insiemi di numeri reali

      program principale
      implicit none
      real dati(100)
      integer ind
      character*60 nomeFile
      integer scelta
      logical continua, esito
      real elem
      integer pos, temp
      
C     Funzioni utilizzate
C     -------------------
      integer cercaPos
      
      continua=.true.
      
      do while (continua)
        call menuPr(scelta)
        
        if (scelta.eq.0) then
           continua=.false.
        endif
        if (scelta.eq.1) then
           call leggi(dati, ind)
           write (*,*) '--- Operazione completata ---'
        endif
        if (scelta.eq.2) then
           call stampa(dati, ind)
           write (*,*) '--- Operazione completata ---'
        endif
        if (scelta.eq.3) then
           write (*,*) 
           write (*,*) 'Immetti il nome del file:'
           read (*,*) nomeFile
           call salva(dati, ind, nomeFile, esito)
           if (esito) then
             write (*,*) '--- Operazione completata ---'
           else
             write (*,*) '--- Si e'' verificato un errore. ---'
             write (*,*) '---     Operazione Abortita      ---'
           endif
        endif
        if (scelta.eq.4) then
           write (*,*) 
           write (*,*) 'Immetti il nome del file:'
           read (*,*) nomeFile
           call carica(dati, ind, nomeFile, esito)
           if (esito) then
             write (*,*) '--- Operazione completata ---'
           else
             write (*,*) '--- Si e'' verificato un errore. ---'
             write (*,*) '---     Operazione Abortita      ---'
           endif
        endif  
        if (scelta.eq.5) then
           write (*,*)
           write (*,*) 'Immetti il valore da aggiungere:'
           read  (*,*) elem
           call aggInCoda(dati, ind, elem, esito)
           if (esito) then
             write (*,*) '--- Operazione completata ---'
           else
             write (*,*) '--- Si e'' verificato un errore. ---'
             write (*,*) '---     Operazione Abortita      ---'
           endif
        endif
        if (scelta.eq.6) then
           write (*,*)
           write (*,*) 'Immetti il valore da aggiungere:'
           read  (*,*) elem
           write (*,*) 'Immetti la posizione:'
           read  (*,*) pos
           call aggInPos (dati, ind, elem, pos, esito)
           if (esito) then
             write (*,*) '--- Operazione completata ---'
           else
             write (*,*) '--- Si e'' verificato un errore. ---'
             write (*,*) '---     Operazione Abortita      ---'
           endif
        endif
        if (scelta.eq.7) then
           write (*,*)
           write (*,*) 'Immetti la posizione dell''elemento:'
           read  (*,*) pos
           call elInPos (dati, ind, pos, esito)
           if (esito) then
             write (*,*) '--- Operazione completata ---'
           else
             write (*,*) '--- Si e'' verificato un errore. ---'
             write (*,*) '---     Operazione Abortita      ---'
           endif
        endif
        if (scelta.eq.8) then
           write (*,*)
           write (*,*) 'Immetti il valore da cercare:'
           read  (*,*) elem
           temp = cercaPos (dati, ind, elem)
           if (temp.ne.0) then
             write (*,*) 
             write (*,*) 'Elemento contenuto in posizione ', temp
           else
             write (*,*) 'Elemento non contenuto nella lista'
           endif
           write (*,*) '--- Operazione completata ---'
        endif
      enddo
      stop
      end


      subroutine menuPr (scelta)
      implicit none
      integer scelta
      
      write (*,*) '----------------------------------'
      write (*,*) '        Menu Principale           '
      write (*,*) '----------------------------------'
      write (*,*)
      write (*,*) ' 1. Leggi Lista'
      write (*,*) ' 2. Stampa Lista'
      write (*,*) ' 3. Salva Lista'
      write (*,*) ' 4. Carica Lista'
      write (*,*) ' 5. Aggiungi un elemento in coda'
      write (*,*) ' 6. Aggiungi un elemento in pos. i'
      write (*,*) ' 7. Elimina un elemento in pos. i'
      write (*,*) ' 8. Cerca un elemento'
      write (*,*)
      write (*,*) ' 0. Esci dal programma'
      write (*,*)
      write (*,*) 'Scelta ?'
      
      read (*,*) scelta

      do while ((scelta.lt.0).or.(scelta.gt.8)) 
        write (*,*) 'Scelta scorretta. Ripetere'
        write (*,*) 'Scelta ?'
        read (*,*) scelta
      enddo
      
      return
      end