      program temp
        implicit none
        integer posizioneMax, posizioneMin
        integer N
        parameter (N = 12)
        real temperature(N)
        integer posMax, posMin
        call leggi(temperature)
        call stampa(temperature)
        posMax = posizioneMax(temperature)
        posMin = posizioneMin(temperature)
        call stampaRisultato(temperature, posMax, posMin)
        stop
      end
      
      subroutine leggi(temperature)
        implicit none
        integer N
        parameter (N = 12)
        real temperature(N)
        integer i
        write(*,*) 'Immetti le temperature medie mensili'
        do i = 1, N
          read(*,*) temperature(i)
        end do
        return
      end
      
      subroutine stampa(temperature)
        implicit none
        integer N
        parameter (N = 12)
        real temperature(N)
        integer i
        write(*,*)
        write(*,*) 'Temperature medie mensili'
        write(*,*) '-------------------------'
        do i = 1, N
          write(*,*) 'Mese', i, ': ', temperature(i)
        end do
        return
      end
      
      integer function posizioneMax(arrayDati)
        implicit none
        integer N
        parameter (N = 12)
        real arrayDati(N)
        integer i, pos
        pos = 1
        do i = 2, N
          if (arrayDati(i).gt.arrayDati(pos)) then
            pos = i
          end if
        end do
        posizioneMax = pos
        return
      end
        
      integer function posizioneMin(arrayDati)
        implicit none
        integer N
        parameter (N = 12)
        real arrayDati(N)
        integer i, pos
        pos = 1
        do i = 2, N
          if (arrayDati(i).lt.arrayDati(pos)) then
            pos = i
          end if
        end do
        posizioneMin = pos
        return
      end

      subroutine stampaRisultato(temperature, posMax, posMin)
        implicit none
        integer N
        parameter (N = 12)
        real temperature(N)
        integer posMax, posMin
        write(*,*)
        write(*,*) '------------------------------------------'
        write(*,*) 'Temperatura massima: ', temperature(posMax)
        write(*,*) 'Rilevata nel mese n. ', posMax
        write(*,*) 'Temperatura minima : ', temperature(posMin)
        write(*,*) 'Rilevata nel mese n. ', posMin
        write(*,*) '------------------------------------------'
        return
      end