       program equazioni
           implicit none
           real a1, b1, c1
           real a2, b2, c2
           real discriminante, primaRadice, secondaRadice
           logical uguali
           real x1, y1, x2, y2
           call leggiEquazione(a1, b1, c1)
           call leggiEquazione(a2, b2, c2)
           if ((discriminante(a1, b1, c1).ge.0).and.
     *         (discriminante(a2, b2, c2).ge.0)) then
               x1 = primaRadice(a1, b1, c1)
               y1 = secondaRadice(a1, b1, c1)
               x2 = primaRadice(a2, b2, c2)
               y2 = secondaRadice(a2, b2, c2)
               call stampaRadici(a1, b1, c1, x1, y1)
               call stampaRadici(a2, b2, c2, x2, y2)
               if (uguali(x1, x2).or.uguali(x1, y2).or.
     *             uguali(y1, x2).or.uguali(y1, y2)) then
                   write (*,*) 'Esistono radici comuni'
               else
                   write (*,*) 'Non esistono radici comuni'
               end if
           else
               write (*,*) 'Non tutte le radici sono reali'
           end if
           stop
       end

       subroutine leggiEquazione(a, b, c)
           implicit none
           real a, b, c
           write (*,*) 'Inserisci i coefficienti dell''equazione'
           read (*,*) a, b, c
           return
       end
       
       subroutine stampaRadici(a, b, c, x, y)
           implicit none
           real a, b, c, x, y
           write (*,*) '---------------Equazione---------------------' 
           write (*,*) a, 'x2+', b, 'x+', c, '=0'
           write (*,*) 'Radici: x=', x, ', y=', y
           write (*,*) '---------------------------------------------'
           return 
       end

       real function discriminante (a, b, c)
           implicit none
           real a, b, c
           discriminante = b*b-4*a*c
           return
       end
       
       real function primaRadice (a, b, c)
           implicit none
           real a, b, c
           real discriminante
           primaRadice = (-b+sqrt(discriminante(a,b,c)))/(2*a)
           return
       end
       
       real function secondaRadice (a, b, c)
           implicit none
           real a, b, c
           real discriminante
           secondaRadice = (-b-sqrt(discriminante(a,b,c)))/(2*a)
           return
       end

       logical function uguali(n1, n2)
           real n1, n2
           if (abs(n1-n2).lt.1E-20) then
               uguali = .true.
           else
               uguali = .false.
           end if
           return
       end