C  Programma per l'intersezione di insiemi di numeri reali
C
C  Il programma utilizza la libreria di
C  sottoprogrammi "ins.for"
C

      program principale

      implicit none
      
C     Variabili locali
C     ----------------
      real insA(100)
      integer indA
      real insB(100)
      integer indB
      real insC(100)
      integer indC
      
C     Lettura degli elementi dell'insieme A
      write (*,*)
      write (*,*) '*** Lettura del primo insieme ***'
      write (*,*)
      call leggiIndic (indA)
      call leggiIn (insA, indA)
      call stampaIn (insA, indA)

C     Lettura degli elementi dell'insieme B
      write (*,*)
      write (*,*) '*** Lettura del secondo insieme ***'
      write (*,*)
      call leggiIndic (indB)
      call leggiIn (insB, indB)
      call stampaIn (insB, indB)

C     Calcolo dell'intersezione
      write (*,*)
      write (*,*) '*** Intersezione dei due insiemi ***'
      write (*,*)
      call genInters(insA, indA, insB, indB, insC, indC)
      call stampaIn(insC, indC)

      stop
      end

C
C  procedura per il calcolo dell'intersezione
C
      subroutine genInters (insA, indA, insB, indB, inters, indInters)
      real insA(100)
      integer indA
      real insB(100)
      integer indB
      real inters(100)
      integer indInters
      logical esito
      integer i
      integer cercaPos
      
C     inizializzazion indicatore riempimento del risultato
      indInters=0

C     per ogni elemento di insA...
      do 100 i=1, indA
C       verifica se e' contenuto in insB
        if (cercaPos(insB, indB, insA(i)).ne.0) then
C         e aggiungilo al risultato
          call aggInCoda(inters, indInters, insA(i), esito)
        endif
100   continue
      return
      end
      