#include <iostream.h>
#include "listaDiReali.h"

/*
   intersezione.cpp

   Programma per generare l'intersezione di due
   collezioni di numeri reali.

   Il programma utilizza la libreria di sottoprogrammi
   "listaDiReali.cpp"

*/

void generaIntersezione (lista listaA, lista listaB, lista &intersezione);


void main() {
    lista listaA, listaB, intersezione;

    cout << endl;
    cout << "*** Lettura del primo insieme ***" << endl;
    cout << endl;
    leggi (listaA);
    stampa (listaA);

    cout << endl;
    cout << "*** Lettura del secondo insieme ***" << endl;
    cout << endl;
    leggi (listaB);
    stampa (listaB);

    cout << endl;
    cout << "*** Intersezione ***" << endl;
    cout << endl;
    generaIntersezione(listaA, listaB, intersezione);
    stampa(intersezione);

}

void generaIntersezione (lista listaA, lista listaB, lista &intersezione){
     int i;
     float elem;
     bool esito;
     inizializza(intersezione);
     for (i=0; i<numeroElementi(listaA); i++) {
         elem = elementoInPosizione(listaA, i);
         if (cercaPosizione(listaB, elem)!=-1)
            aggiungiInCoda(intersezione, elem, esito);
     }
     return;
}
