// File delle intestazioni morraCinese6.h

// costanti globali
const int MANI=3;

const int CARTA=1;
const int FORBICI=2;
const int SASSO=3;

const int VINCEILCOMPUTER=1;
const int VINCEILGIOCATORE=2;
const int PAREGGIO=3;

// sottoprogrammi
void inizioGioco(string& nome);
void gioca(string nome);
void nuovaPartita(string nome, int& vittorieComputer, int& vittorieGiocatore);
void nuovaMano(string nome, int giocataComputer, int& punteggioComputer, int& punteggioGiocatore, int&pareggi);
int generaGiocataComputer();
int controllaEsito(int giocataComputer, int giocataGiocatore);
string giocata(int numero);

// schermi
void schermoIniziale(string& nome);
int schermoMenuPrincipale(string nome);
int schermoMenuPartita(string nome, int punteggioComputer, int punteggioGiocatore, int pareggi);
void schermoEsitoPartita(string nome, int punteggioComputer, int punteggioGiocatore, int pareggi);
void schermoEsitoMano(string nome, int esito, int giocataComputer, int giocataGiocatore);
void schermoVittorie(string nome, int vittorieComputer, int vittorieGiocatore);
void schermoFinale(string nome);
void simbolo(int giocata);
