      program equazioni
      implicit none
        real a1, b1, c1
        real a2, b2, c2
        real x1, y1, x2, y2
        real discriminante, primaRadiceReale, secondaRadiceReale
        call leggiEquazione(a1, b1, c1)
        call leggiEquazione(a2, b2, c2)
        if ((discriminante(a1, b1, c1).ge.0).and.
     *      (discriminante(a2, b2, c2).ge.0)) then
            x1 = primaRadiceReale(a1, b1, c1)
            y1 = secondaRadiceReale(a1, b1, c1)
            x2 = primaRadiceReale(a2, b2, c2)
            y2 = secondaRadiceReale(a2, b2, c2)
            call stampaRadici(a1, b1, c1, x1, y1)
            call stampaRadici(a2, b2, c2, x2, y2)
            if ((x1.eq.x2).or.(x1.eq.y2).or.
     *          (y1.eq.x2).or.(y1.eq.y2)) then
                write (*,*)'Le due equazioni hanno radici comuni'
            else
                write (*,*)'Le due equazioni non hanno radici comuni'
            end if
        else
            write (*,*)'Non tutte le radici sono reali '
        end if
        stop
      end
      
      subroutine leggiEquazione(a, b, c)
      implicit none
        real a,b,c
        write (*,*) 'Inserisci i coefficienti dell''equazione'
        read (*,*) a
        read (*,*) b
        read (*,*) c
        return
      end
      
      real function discriminante(a, b, c)
      implicit none
        real a,b,c
        discriminante = b*b-4*a*c
        return
      end
      
      real function primaRadiceReale(a, b, c)
      implicit none
        real a,b,c
        real discriminante
        primaRadiceReale = (-b+sqrt(discriminante(a, b, c)))/(2*a)
        return
      end

      real function secondaRadiceReale(a, b, c)
      implicit none
        real a,b,c
        real discriminante
        secondaRadiceReale = (-b-sqrt(discriminante(a, b, c)))/(2*a)
        return
      end

      subroutine stampaRadici(a, b, c, x, y)
      implicit none
        real a,b,c,x,y 
        write (*,*) '------------  Equazione  ----------------'
        write (*,*) a, 'x2+', b , 'x+' ,  c ,  '=0 '
        write (*,*) 'Radici: x=' ,  x ,  ', y=' ,  y
        write (*,*) '-----------------------------------------'
        return
      end