       program equazioni
           implicit none
           real a1, b1, c1
           real a2, b2, c2
           real discriminante, primaRadice, secondaRadice
           real x1, y1, x2, y2
           call leggiDatiEquazione(a1, b1, c1)
           call leggiDatiEquazione(a2, b2, c2)
           if ((discriminante(a1, b1, c1).ge.0).and.
     *         (discriminante(a2, b2, c2).ge.0)) then
               x1 = primaRadice(a1, b1, c1)
               y1 = secondaRadice(a1, b1, c1)
               x2 = primaRadice(a2, b2, c2)
               y2 = secondaRadice(a2, b2, c2)
               call stampaDatiEquazione(a1, b1, c1)
               call stampaRadici(x1, y1)
               call stampaDatiEquazione(a2, b2, c2)
               call stampaRadici(x2, y2)
               call stampaRisultato(x1, y1, x2, y2)
           else
               write (*,*) 'Non tutte le radici sono reali'
           end if
           stop
       end

       subroutine stampaRisultato(x1, y1, x2, y2)
           implicit none
           real x1, y1, x2, y2
           logical uguali
           if (uguali(x1, x2).or.uguali(x1, y2).or.
     *         uguali(y1, x2).or.uguali(y1, y2)) then
               write (*,*) 'Esistono radici comuni'
           else
               write (*,*) 'Non esistono radici comuni'
           end if
           return
       end
       
       logical function uguali(n1, n2)
           real n1, n2
           if (abs(n1-n2).lt.1E-20) then
               uguali = .true.
           else
               uguali = .false.
           end if
           return
       end
       