#include <iostream.h>

#include "listaDiReali1.h"

bool numeriAlti(lista giocata);
bool verifica(lista giocata);
bool valoriAmmessi(lista giocata);
bool tuttiDiversi(lista giocata);
bool numeriAlti(lista giocata);
int contaOccorrenze(lista l, float valore);
void stampaPunteggio(lista estrazione, lista giocata);
int valoriComuni(lista estrazione, lista giocata);

void main() {
    lista estrazione = {5, {1, 22, 31, 47, 81}};
    /*
    lista estrazione;
    estrazione.indicatore = 5;
    estrazione.valori[0] = 1;
    estrazione.valori[1] = 22;
    estrazione.valori[2] = 31;
    estrazione.valori[3] = 47;
    estrazione.valori[4] = 81;
    */
    lista giocata;

    leggi(giocata);

    if (verifica(giocata)) {
        if (numeriAlti(giocata))
            cout << "La giocata contiene almeno un numero superiore a 80\n";
        stampaPunteggio(estrazione, giocata);
    } else
        cout << "Giocata scorretta";
}

bool verifica(lista giocata) {
    bool ok;
    ok = giocata.indicatore<=5 && valoriAmmessi(giocata) && tuttiDiversi(giocata);
    return ok;
}

bool valoriAmmessi(lista giocata) {
    bool ammessi;
    int i;
    ammessi = true;
    i=0;
    while (ammessi && i<giocata.indicatore) {
        if (giocata.valori[i]>90 || giocata.valori[i]<1)
            ammessi = false;
        i++;
    }
    return ammessi;
}

bool tuttiDiversi(lista giocata) {
    bool diversi;
    int i;
    diversi = true;
    i=0;
    while (diversi && i<giocata.indicatore) {
        if (contaOccorrenze(giocata, giocata.valori[i])>1)
            diversi = false;
        i++;
    }
    return diversi;
}

bool numeriAlti(lista giocata) {
    bool trovato;
    int i;
    trovato = false;
    i=0;
    while (!trovato && i<giocata.indicatore) {
        if (giocata.valori[i]>80)
            trovato = true;
        i++;
    }
    return trovato;
}

int contaOccorrenze(lista l, float valore) {
    int conta, i;
    conta = 0;
    for (i=0; i<l.indicatore; i++)
        if (l.valori[i]==valore)
            conta++;
    return conta;
}

void stampaPunteggio(lista estrazione, lista giocata){
    int punteggio;
    punteggio = valoriComuni(estrazione, giocata);
    cout << "Punteggio della giocata: " << punteggio << endl;
    return;
}

int valoriComuni(lista estrazione, lista giocata){
    int conta, i;
    conta = 0;
    for (i=0; i<giocata.indicatore; i++)
        if (cercaPosizione(estrazione, giocata.valori[i])!=-1)
            conta++;
    return conta;
}