#include <stdio.h>
#define N 12

void leggi(float temperature[N]);
void stampa(float temperature[N]);
float calcolaMedia(float temperature[N]);
int contaNegativi(float temperature[N]);
int posizioneMax(float arrayDati[N]);
int posizioneMin(float arrayDati[N]);
void stampaRisultato(float temperature[N], float media, int negative,
                                           int posMax, int posMin);

int main() {
    float temperature[N];
    int posMax, posMin, negative;
    float media;
    leggi(temperature);
    stampa(temperature);
    media = calcolaMedia(temperature);
    negative = contaNegativi(temperature);
    posMax = posizioneMax(temperature);
    posMin = posizioneMin(temperature);
    stampaRisultato(temperature, media, negative, posMax, posMin);
    return 0;
}

void leggi(float temperature[N]){
    int i;
    printf("Immetti le temperature medie mensili \n");
    for (i = 0; i < N; i++) {
        printf("Mese n. %d: ", i + 1);
        scanf("%f", &temperature[i]); // equivalente a &(*(temperature + i))
    }
    return;
}

void stampa(float temperature[N]){
    int i;
    printf("Temperature Medie \n");
    printf("-----------------------------\n");
    for (i = 0; i < N; i++) {
        printf("Mese n. %d: \t %f \n", i + 1, temperature[i]);
    }
    return;
}

float calcolaMedia(float arrayDati[N]){
    float somma, media;
    int i;
    somma = 0;
    for (i = 0; i < N; i++) {
        somma += arrayDati[i];
    }
    media = somma / N;
    return media;
}

int contaNegativi(float arrayDati[N]){
    int conta;
    int i;
    conta = 0;
    for (i = 0; i < N; i++) {
        if(arrayDati[i] < 0) {
            conta++;
        }
    }
    return conta;
}

int posizioneMax(float arrayDati[N]){
    int pos;
    int i;
    pos = 0;
    for (i = 1; i < N; i++) {
        if (arrayDati[i] > arrayDati[pos]) {
            pos = i;
        }
    }
    return pos;
}

int posizioneMin(float arrayDati[N]){
    int pos;
    int i;
    pos = 0;
    for (i = 1; i < N; i++) {
        if (arrayDati[i] < arrayDati[pos]) {
            pos = i;
        }
    }
    return pos;
}

void stampaRisultato(float temperature[N], float media, int negative,
                                           int posMax, int posMin){
    printf("\n------------------------------\n");
    printf("Mesi con media negativa: %d\n", negative);
    printf("Temperatura media annuale: %f\n", media);
    printf("Temperatura massima: %f\n",  temperature[posMax]);
    printf("Rilevata nel mese n. %d\n", posMax + 1);
    printf("Temperatura minima: %f\n", temperature[posMin]);
    printf("Rilevata nel mese n. %d\n", posMin + 1);
    printf("\n------------------------------\n");
    return;
}